﻿using System.Collections.Generic;

namespace DemoCQRS.Data
{
    public class FakeData
    {
        private static List<string> _values;
        public FakeData()
        {
            _values = new List<string>
        {
            "cqrs",
            "mediatr",
            "mediator"
        };
        }
        public void AddValue(string value)
        {
            _values.Add(value);
        }
        public IEnumerable<string> GetAllValues()
        {
            return _values;
        }

        public void EventOccured(string value, string evt)
        {
            var indexOfValue = _values.FindIndex(val => val.StartsWith(value));
            _values[indexOfValue] = $"{_values[indexOfValue]}, event: {evt}";
        }
    }
}