﻿using DemoCQRS.Services.Events;
using MediatR;
using System.Threading;
using System.Threading.Tasks;

namespace DemoCQRS.Services.Notifications
{
    public class DatabaseNotificationHandler : INotificationHandler<LogEvent>
    {
        public Task Handle(LogEvent notification,
        CancellationToken cancellationToken)
        {
            string message = notification.message;
            Log(message);
            return Task.FromResult(0);
        }
        private void Log(string message)
        {
            //codigo para gravar a mensagem no seu banco de dados
        }
    }
}
